import { OnModuleInit } from '@nestjs/common';
import { ConsoleService } from './console.service';
import { ConsoleExplorer } from './console.explorer';
export declare class ConsoleModule implements OnModuleInit {
    private readonly registry;
    private readonly explorer;
    constructor(registry: ConsoleService, explorer: ConsoleExplorer);
    onModuleInit(): Promise<void>;
}
